#define VENDOR_RQ_GET_PEOPLE 0
#define VENDOR_RQ_GET_STAT   1
#define VENDOR_RQ_GET_VOL    2
#define VENDOR_RQ_RE_STAT    3

import usb

def find_board():
    board = None
    for bus in usb.busses():
        for dev in bus.devices:
            if dev.idVendor == 0x16c0 and dev.idProduct == 0x05dc:
                return dev
    return None

board = find_board()
handle = board.open()

req_peo = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_IN
req_stat = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_IN
req_vol = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_IN

while(1):
    total = 0;
    print '-------------------'
    print '     Main Menu     '
    print '-------------------'
    print '1. Number of people in the room'
    print '2. Number of people entered the room today' 
    print '3. Read light status'
    print '4. Read voltage level of light sensor inside the room'
    print '5. Quit'
    print ''
    print 'Select input :',
    input = raw_input()
    if input == '1':
	people = handle.controlMsg(req_peo, 0, 3)
	print ''
	print 'Number of people in the room is %d' %(people[0])
#	print 'in %d' %(people[1])
#	print 'out %d' %(people[2])
    elif input == '2':
	people = handle.controlMsg(req_peo, 0, 3)
	total = total + people[1]
	print 'Number of people entered the room is %d' %total
    elif input == '3':
	stat = handle.controlMsg(req_stat, 1, 1)
	if stat == (0,):
	    print ''
	    print 'The light is now turned off'
	else:
	    print ''
	    print 'The light is now turned on'
    elif input == '4':
	v = handle.controlMsg(req_vol, 2, 2)
	volt = (v[0]*256 + v[1]) * 5 / 1023.0
	print ''
	print 'The voltage in the room is %.2f V' %volt
    elif input == '5':
	print ''
	print 'Thank you!'
        quit()
